Broadcasts
Rename broadcast
Changes a broadcast’s name only. Use broadcasts.updateDraft to change a draft’s full payload.
PATCH
/
v1
/
broadcasts
/
{id}
Rename broadcast
curl --request PATCH \
--url https://app.chatbotx.io/api/v1/broadcasts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://app.chatbotx.io/api/v1/broadcasts/{id}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://app.chatbotx.io/api/v1/broadcasts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"status": "scheduled",
"schedulesType": "now",
"schedulesAt": "2023-11-07T05:31:56Z",
"contactCount": -1,
"id": "<unknown>",
"flowId": null
}{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "notFound",
"status": 404,
"message": "Resource not found",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
bearerAuthdeveloperAccessTokentokenInSearchParams
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Broadcast id. Get it from broadcasts.list.
Pattern:
^\d+$Body
application/json
New broadcast name.
Required string length:
1 - 255Response
OK
Available options:
scheduled, sent, sending, cancelled, draft, failed Available options:
now, future Required range:
-2147483648 <= x <= 2147483647Was this page helpful?
⌘I
Rename broadcast
